From 817db1a6230fab916081611cf672262eabfef605 Mon Sep 17 00:00:00 2001 From: spirkelmann Date: Mon, 16 Sep 2019 11:05:40 +0200 Subject: [PATCH] put hinge of small dispenser gears in between the two plates --- prototype/circles.py | 6 ++- prototype/dispenser_gears.svg | 98 ++++++++++++++++++++--------------- prototype/notes.txt | 10 ++-- 3 files changed, 68 insertions(+), 46 deletions(-) diff --git a/prototype/circles.py b/prototype/circles.py index 625a3ca..3d6414f 100644 --- a/prototype/circles.py +++ b/prototype/circles.py @@ -184,6 +184,7 @@ class PlateLayout: # parameters for dispenser gears self.dispenser_module = 1.0 + plate_height = 8.0 dispenser_1_target_pitch_diameter_big = 50.0 dispenser_1_target_pitch_diameter_small = 15.0 dispenser_1_teeth_big = int(dispenser_1_target_pitch_diameter_big/self.dispenser_module) @@ -259,7 +260,8 @@ class PlateLayout: p2 = dispenser_1_pitch_diameter_small a1 = self.dispenser_module a2 = self.dispenser_module - offset_1 = sqrt((p1 / 2 + p2 / 2) ** 2 - (p1 / 2 + a1) ** 2) - p2 / 2 - a2 + h = plate_height/2.0 + offset_1 = sqrt((p1 / 2 + p2 / 2) ** 2 - (p1 / 2 + a1 + h) ** 2) - p2 / 2 - a2 print("dispenser 1 offset = {}".format(offset_1)) print(" big circle tangent points: ") @@ -321,7 +323,7 @@ class PlateLayout: p2 = dispenser_2_pitch_diameter_small a1 = self.dispenser_module a2 = self.dispenser_module - offset_2 = sqrt((p1 / 2 + p2 / 2) ** 2 - (p1 / 2 + a1) ** 2) - p2 / 2 - a2 + offset_2 = sqrt((p1 / 2 + p2 / 2) ** 2 - (p1 / 2 + a1 + h) ** 2) - p2 / 2 - a2 print("dispenser 2 offset = {}".format(offset_2)) print(" small circle tangent points: ") diff --git a/prototype/dispenser_gears.svg b/prototype/dispenser_gears.svg index 5d752dc..7794143 100644 --- a/prototype/dispenser_gears.svg +++ b/prototype/dispenser_gears.svg @@ -9,7 +9,7 @@ xmlns="http://www.w3.org/2000/svg" xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd" xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape" - sodipodi:docname="feeder_gears.svg" + sodipodi:docname="dispenser_gears.svg" width="210mm" height="297mm" viewBox="0 0 744.09448819 1052.3622047" @@ -23,17 +23,17 @@ borderopacity="1.0" inkscape:pageopacity="0.0" inkscape:pageshadow="2" - inkscape:zoom="1.8101934" - inkscape:cx="196.01806" - inkscape:cy="474.03501" + inkscape:zoom="2.5600001" + inkscape:cx="116.84746" + inkscape:cy="648.90954" inkscape:document-units="mm" inkscape:current-layer="svg2" showgrid="false" - inkscape:window-width="960" - inkscape:window-height="1028" - inkscape:window-x="960" + inkscape:window-width="1920" + inkscape:window-height="1056" + inkscape:window-x="0" inkscape:window-y="24" - inkscape:window-maximized="0" /> + inkscape:window-maximized="1" /> p1/2 p2/2 p1/2 + a1 p1/2 + a1 + h(= Outside circle) (p1/2 + p2/2)**2 = (p1/2 + a1)**2 + (p2/2 + a2 + x)**2(p1/2 + p2/2)**2 = (p1/2 + a1 + h)**2 + (p2/2 + a2 + x)**2 => Offset x = sqrt((p1/2 + p2/2)**2 - (p1/2 + a1)**2) - p2/2 - a2 x p2/2 + a2 p2: Pitch diameter gear 2a1: Addendum gear 1 = module 1a2: Addendum gear 2 = module 2x : Offset x : Offseth : half of the plate height @@ -412,4 +413,19 @@ x="0" style="font-style:normal;font-weight:normal;font-size:13px;font-family:'Bitstream Vera Sans', sans-serif;text-align:center;text-anchor:middle;fill:#f6921e">Base diameter: 35.346 mm + + + diff --git a/prototype/notes.txt b/prototype/notes.txt index 2d6f546..f96c031 100644 --- a/prototype/notes.txt +++ b/prototype/notes.txt @@ -8,11 +8,15 @@ Lasercut segments for plate. Profile: FLB_Sperrholz_4mm_Natur_new Important: SVG produced by python script needs to be openend, transformed and saved in inkscape, otherwise import in CorelDraw fails In progress: -- automate generation of plate segment + TODO: -- stack 2 plates for better stability (add cuts at small circles) - second ring above the first plate to fix the containers and hide the gear mechanic (or manufacure them from acrylic to show the mechanic) -- think about if stacked plate is to thick for a single gear (i.e. we may need two gears in order to transfer motion from below the plate to dispensers) +- whole for hinges of big dispenser gears - shovels for dispensers by cutting segments from a sphere + +DONE: +- stack 2 plates for better stability (add cuts at small circles) +- automate generation of plate segment - connectors for segments (jigsaw puzzle style) +- think about if stacked plate is to thick for a single gear (i.e. we may need two gears in order to transfer motion from below the plate to dispensers) -> solved by moving hinge point of the gear in between the two plates